# Use Auto DevOps pipeline
include:
  - template: Auto-DevOps.gitlab-ci.yml

variables:
  # disable auto devops steps
  BROWSER_PERFORMANCE_DISABLED: 1
  CODE_QUALITY_DISABLED: 1
  CONTAINER_SCANNING_DISABLED: 1
  DAST_DISABLED: 1
  DEPENDENCY_SCANNING_DISABLED: 1
  LICENSE_MANAGEMENT_DISABLED: 1
  PERFORMANCE_DISABLED: 1
  LOAD_PERFORMANCE_DISABLED: 1
  REVIEW_DISABLED: 1
  SAST_DISABLED: 1
  TEST_DISABLED: 1
  SECRET_DETECTION_DISABLED: 1
  CODE_INTELLIGENCE_DISABLED: 1
  
  # Agent
  KUBE_INGRESS_BASE_DOMAIN: dev.lincsproject.ca
  KUBE_CONTEXT: "calincs/gitlab-agents:dev-agent"
  KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_COMMIT_REF_SLUG

  # configure postgres with CI env vars
  POSTGRES_DB: geo_db
  POSTGRES_USER: geoUser
  POSTGRES_PASSWORD: $DB_PASSWORD
  POSTGRES_HELM_UPGRADE_EXTRA_ARGS: --set extraEnv[0].name=PGPASSWORD,extraEnv[0].value=$DB_PASSWORD

  # add k8s env vars for image runtime
  K8S_SECRET_PGPASSWORD: $DB_PASSWORD

# override some deployment parameters
# template to override common deployment parameters
.deployment: &deployment
  environment:
    url: https://geonames.$KUBE_INGRESS_BASE_DOMAIN

staging:
  <<: *deployment
  variables:
    KUBE_INGRESS_BASE_DOMAIN: stage.lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:stage-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-staging


production:
  <<: *deployment
  variables:
    KUBE_INGRESS_BASE_DOMAIN: lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:prod-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-production
